You are not logged in.

#1 2010-11-25 15:31:13

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

[kde-unstable] KDE 4.6

KDE 4.6 beta1 is out now:
http://kde.org/announcements/announce-4.6-beta1.php
http://kde.org/announcements/announce-4.6-beta2.php
http://www.kde.org/announcements/announce-4.6-rc1.php
http://www.kde.org/announcements/announce-4.6-rc2.php

Packages are ready in [kde-unstable] (please read the wiki page before use it).

Arch Linux changes:
* kdelibs now depends on upower and udisks, this means that HAL is no more required: you can remove hal from your DAEMONS(), but remember to replace it with dbus.
* filelight is replaced by kdeutils-filelight
* kdeutils-okteta is replaced by kdesdk-okteta
* kdegames-ksame is replaced by kdegames-klickety
* kdesdk-kbugbuster has been removed
* new runner for krunner: kdeplasma-addons-runners-events
* kdenetwork-kget is not available because does not build at the moment
* a new kdeplasma-addons-containments package introduces GroupingDesktop

Notes:
* These packages do not work or need a rebuild.
* See known issues

Backup your data before the update!

Please report packaging bugs on http://bugs.archlinux.org
KDE bugs on http://bugs.kde.org

Offline

#2 2010-11-25 17:04:02

mangus
Member
From: Bologna, Italy
Registered: 2007-04-07
Posts: 288

Re: [kde-unstable] KDE 4.6

I think kde-unstable.db  may be screwed , it lists only meta packages ,soprano akonadi and polkit-qt.
Can't upgrade ATM.

thanks

edit: nvm It seems I look up  the mirror while syncing , the packages were there but the db was not complete..2 minutes later it was ok
sorry for the noise

Last edited by mangus (2010-11-25 17:12:52)

Offline

#3 2010-11-25 17:09:50

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 575

Re: [kde-unstable] KDE 4.6

Switch mirror, mine is ftp://mirrors.kernel.org/archlinux/kde-unstable/, and upgrading ATM.

BTW, thanks for the packages. wink

Online

#4 2010-11-25 17:17:46

mangus
Member
From: Bologna, Italy
Registered: 2007-04-07
Posts: 288

Re: [kde-unstable] KDE 4.6

Sorry bash , I had only a very bad timing , the packages were all there and only the db file was incomplete (I downloaded it and look into that) I thought it was strange, but in the end is 99% pebkac in this cases , I know...
Thank you for the work as always big_smile

Offline

#5 2010-11-25 18:02:46

jxy
Member
Registered: 2008-12-03
Posts: 133

Re: [kde-unstable] KDE 4.6

Hi, I'm trying to install it but I don't know how to deal with the following error

# pacman -S kde
resolving dependencies...
looking for inter-conflicts...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: kdegames-klickety and kdegames-ksame are in conflict

I understand that kdegames-ksame is replaced by kdegames-klickety, but why pacman still reports that they are in conflict?  I'm using ftp.archlinux.org repo.  Is it because the mirror is not synced?

Offline

#6 2010-11-25 18:14:41

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.6

you should use pacman -Sy

Offline

#7 2010-11-25 18:20:31

jxy
Member
Registered: 2008-12-03
Posts: 133

Re: [kde-unstable] KDE 4.6

bash wrote:

you should use pacman -Sy

I used, of course.  I tried several different mirrors with pacman -Syy, but no luck.

I think the problem is that kdegames-ksame is still a part of kde and kdegames.  That's why if I try to install kde fully from scratch, it will pull in both ksame and klickety and they conflict with each other.

% pacman -Sg kde|grep ksame
kde kdegames-ksame
% pacman -Sg kdegames|grep ksame
kdegames kdegames-ksame

Do you see the same thing?

Offline

#8 2010-11-25 18:24:13

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.6

that's because ksame is in [extra]

Offline

#9 2010-11-25 18:28:20

jxy
Member
Registered: 2008-12-03
Posts: 133

Re: [kde-unstable] KDE 4.6

bash wrote:

that's because ksame is in [extra]

Right.  And pacman is apparently confused.  Probably someone should describe this culprit of package group in the wiki.  Anyway, I end up using kde-meta instead.

Offline

#10 2010-11-25 18:37:19

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [kde-unstable] KDE 4.6

pacman -S kde-unstable/whatever is not enough for you jxy?

and OMG, new kde version and after almost 2 years, they are using upower and udisks tongue

Last edited by wonder (2010-11-25 18:38:13)


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#11 2010-11-25 18:41:02

RobertMe
Member
From: The Netherlands
Registered: 2010-07-04
Posts: 45

Re: [kde-unstable] KDE 4.6

Nice job on the quick packaging smile But I've got an error running KMess. When I start it using the command line it gives this error:

kmess: symbol lookup error: /usr/lib/libkhtml.so.5: undefined symbol: _ZN6Phonon11VideoPlayer5eventEP6QEvent

and when I try recompiling it, it gives the same kind of error:

/usr/lib/libkhtml.so.5.6.0: undefined reference to `Phonon::VideoPlayer::event(QEvent*)'

Because the error occurs in libkhtml, which is part of kdelibs I'm suspecting a packaging error, is this right and should I report it in the Arch bugtracker or is it an upstream bug? (and from which upstream is it then? KDE, KMess or Phonon)

Offline

#12 2010-11-25 18:47:07

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.6

@RobertMe
thanks I added that package to this list. I think that should be reported to Kmess devs.

Offline

#13 2010-11-25 18:58:19

ChemBro
Member
Registered: 2008-10-22
Posts: 668

Re: [kde-unstable] KDE 4.6

So I should use phonon from [testing], to get my problems solved? Because I get the same error like RobertMe (the first one with symbol lookup error), when I try starting Dolphin. Also Phonon in systemsettings says, that he can't find libpulse, so I can't use phonon at the moment.

Or should I install libpulse/pulseaudio?

Offline

#14 2010-11-25 19:00:17

propagandada
Member
From: Germany
Registered: 2010-11-25
Posts: 1

Re: [kde-unstable] KDE 4.6

RobertMe wrote:

Nice job on the quick packaging smile But I've got an error running KMess. When I start it using the command line it gives this error:

kmess: symbol lookup error: /usr/lib/libkhtml.so.5: undefined symbol: _ZN6Phonon11VideoPlayer5eventEP6QEvent

I had a simliar error with dolphin:

dolphin: symbol lookup error: /usr/lib/libkdeinit4_dolphin.so: undefined symbol: _ZN6Phonon11VideoPlayer5eventEP6QEvent

Installing phonon* from testing repo fixed it (forgot to enable it).

Offline

#15 2010-11-25 19:04:09

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.6

first rule: you have to enable [testing] (in this case for the boost rebuild and for phonon 4.4.3)

Offline

#16 2010-11-25 19:17:11

RobertMe
Member
From: The Netherlands
Registered: 2010-07-04
Posts: 45

Re: [kde-unstable] KDE 4.6

KMess works after enabling testing and updating phonon, so it can be removed from the list of packages which need repackaging.

Offline

#17 2010-11-25 19:36:18

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 575

Re: [kde-unstable] KDE 4.6

Dolphin is painfully slow with optical disc inserted, i guess it has something to do with HAL retirement.

Other than that, surprisingly stable release, with only a few small bugs, nothing to worry about.
I was, kind of expecting some sort of Black Screen Of Death or something. tongue

Online

#18 2010-11-25 20:15:16

xheyther
Member
Registered: 2009-10-18
Posts: 40

Re: [kde-unstable] KDE 4.6

Everything look fine here appart the kwin issues like tearing, missing decoration parts and such that I believe are related to open source driver.

On a side note I've  red the advised bug report (https://bugs.kde.org/show_bug.cgi?id=189465) on the mime-type thing, but despite my attempts I can't get the kde application to show in Firefox (my only non kde application installed atm).

Great job anyway.

edit : I wrote my feedback to fast. By removing hal I also prevented my system to detect my sound chippset. I don't have sound without hal atm.

Last edited by xheyther (2010-11-25 20:22:38)

Offline

#19 2010-11-25 20:27:26

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.6

xheyther wrote:

On a side note I've  red the advised bug report (https://bugs.kde.org/show_bug.cgi?id=189465) on the mime-type thing, but despite my attempts I can't get the kde application to show in Firefox (my only non kde application installed atm).

I didn't know. I'll look into this.

xheyther wrote:

edit : I wrote my feedback to fast. By removing hal I also prevented my system to detect my sound chippset. I don't have sound without hal atm.

Are you using phonon-xine? Please try to switch backend

Offline

#20 2010-11-25 20:52:44

mmm.ai
Member
Registered: 2009-02-26
Posts: 10

Re: [kde-unstable] KDE 4.6

Hello,
I get corrupted  file trying to install kde-complete-meta on i686:

checking package integrity...
:: File kdeplasma-addons-applets-life-4.5.80-1-i686.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n]

..redownload doesn't solve this, so it's either in mirror sync or a wrong checksum probably.
Anyone experiencing this?
Thanks, Mark

Offline

#21 2010-11-25 21:26:56

ChemBro
Member
Registered: 2008-10-22
Posts: 668

Re: [kde-unstable] KDE 4.6

mmm.ai wrote:

Hello,
I get corrupted  file trying to install kde-complete-meta on i686:

checking package integrity...
:: File kdeplasma-addons-applets-life-4.5.80-1-i686.pkg.tar.xz is corrupted. Do you want to delete it? [Y/n]

..redownload doesn't solve this, so it's either in mirror sync or a wrong checksum probably.
Anyone experiencing this?
Thanks, Mark

I did. I solved it by removing it. :-D

Offline

#22 2010-11-25 21:30:18

xheyther
Member
Registered: 2009-10-18
Posts: 40

Re: [kde-unstable] KDE 4.6

bash wrote:
xheyther wrote:

edit : I wrote my feedback to fast. By removing hal I also prevented my system to detect my sound chippset. I don't have sound without hal atm.

Are you using phonon-xine? Please try to switch backend

Well it's weird. I left my computer for a while (and turned id down). After booting, KDE still tell me that it can't find my sound chipset and ask if It should definitively forget it. As I currently listen to some music with firefox, my bet is on a "working sound system with a KDE issue". I'm investigating this issue.

edit: the information you want : switching backends doesn't solve the issue.

Last edited by xheyther (2010-11-25 21:37:07)

Offline

#23 2010-11-25 21:37:31

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [kde-unstable] KDE 4.6

Is suspend disabled or unimplemented right now? I have udev, udisks and upower installed. HAL is not running.

Offline

#24 2010-11-25 22:37:18

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.6

Zom wrote:

Is suspend disabled or unimplemented right now? I have udev, udisks and upower installed. HAL is not running.

this is up to upower now, and in fact this works:

dbus-send --system --print-reply --dest="org.freedesktop.UPower" /org/freedesktop/UPower org.freedesktop.UPower.Suspend

but I see no sleep option in KDE, maybe is not implemented yet.

Offline

#25 2010-11-25 22:38:29

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: [kde-unstable] KDE 4.6

Οh, no "Sleep" (Suspend to RAM) ? sad

sad

Last edited by flamelab (2010-11-25 22:38:42)

Offline

Board footer

Powered by FluxBB